Package javax.validation.metadata

# Interface BeanDescriptor

All Superinterfaces:
  `ElementDescriptor`

public interface BeanDescriptor extends ElementDescriptor

Version:
  $Rev$ $Date$

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

`ElementDescriptor.ConstraintFinder`

## Method Summary

Modifier and Type
Method
Description
`Set<ConstructorDescriptor>`
`getConstrainedConstructors()`
`Set<MethodDescriptor>`
`getConstrainedMethods(MethodType methodType, MethodType... methodTypes)`
`Set<PropertyDescriptor>`
`getConstrainedProperties()`
`ConstructorDescriptor`
`getConstraintsForConstructor(Class<?>... parameterTypes)`
`MethodDescriptor`
`getConstraintsForMethod(String methodName, Class<?>... parameterTypes)`
`PropertyDescriptor`
`getConstraintsForProperty(String propertyName)`
`boolean`
`isBeanConstrained()`

### Methods inherited from interface javax.validation.metadata.ElementDescriptor

`findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

## Method Details

### isBeanConstrained

boolean isBeanConstrained()

### getConstraintsForProperty

PropertyDescriptor getConstraintsForProperty(String propertyName)

### getConstrainedProperties

Set<PropertyDescriptor> getConstrainedProperties()

### getConstraintsForMethod

MethodDescriptor getConstraintsForMethod(String methodName, Class<?>... parameterTypes)

### getConstrainedMethods

Set<MethodDescriptor> getConstrainedMethods(MethodType methodType, MethodType... methodTypes)

### getConstraintsForConstructor

ConstructorDescriptor getConstraintsForConstructor(Class<?>... parameterTypes)

### getConstrainedConstructors

Set<ConstructorDescriptor> getConstrainedConstructors()